List webhook endpoints
Endpoints
List webhook endpoints
Requires Authorization: Bearer sk_* with the webhooks:read scope.
GET
List webhook endpoints
Authorizations
Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.
Path Parameters
Pattern:
^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$Example:
"org_f6m39y94nh6fs513q03skj929c"
Response
Webhook endpoint list.
Example:
[
{
"object": "webhook_endpoint",
"id": "we_0123456789abcdef0123456789abcdef",
"name": "Acme Growth Workspace",
"url": "https://app.acme.co/signup",
"status": "active",
"event_types": ["session.fingerprint.calculated"],
"signing_secret": "whsec_0123456789abcdef0123456789abcdef",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
]Example:
{
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}